Skip to main content
POST
/
api
/
v2
/
projects
/
{projectKey}
/
release-pipelines
Create a release pipeline
curl --request POST \
  --url https://app.launchdarkly.com/api/v2/projects/{projectKey}/release-pipelines \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "key": "standard-pipeline",
  "name": "Standard Pipeline",
  "phases": [
    {
      "audiences": [
        {
          "environmentKey": "<string>",
          "name": "<string>",
          "segmentKeys": [
            "<string>"
          ]
        }
      ],
      "name": "Phase 1 - Testing",
      "configuration": {}
    }
  ],
  "description": "Standard pipeline to roll out to production",
  "tags": [
    "example-tag"
  ],
  "isProjectDefault": true,
  "isLegacy": true
}
'
{
  "createdAt": "1684262711507",
  "key": "standard-pipeline",
  "name": "Standard Pipeline",
  "phases": [
    {
      "id": "1234a56b7c89d012345e678f",
      "audiences": [
        {
          "name": "Phase 1 - Testing",
          "environment": {
            "_links": {
              "self": {
                "href": "/api/v2/projects/my-project/environments/my-environment",
                "type": "application/json"
              }
            },
            "key": "environment-key-123abc",
            "name": "My Environment",
            "color": "F5A623"
          },
          "configuration": {
            "releaseStrategy": "monitoredRelease",
            "requireApproval": true,
            "notifyMemberIds": [
              "1234a56b7c89d012345e678f"
            ],
            "notifyTeamKeys": [
              "example-reviewer-team"
            ],
            "releaseGuardianConfiguration": {
              "monitoringWindowMilliseconds": 60000,
              "rolloutWeight": 50,
              "rollbackOnRegression": true,
              "randomizationUnit": "user"
            }
          },
          "segmentKeys": [
            "segment-key-123abc"
          ]
        }
      ],
      "name": "Phase 1 - Testing",
      "configuration": {}
    }
  ],
  "description": "Standard pipeline to roll out to production",
  "tags": [
    "example-tag"
  ],
  "_version": 1,
  "_access": {
    "denied": [
      {
        "action": "<string>",
        "reason": {
          "effect": "allow",
          "resources": [
            "proj/*:env/*;qa_*:/flag/*"
          ],
          "notResources": [
            "<string>"
          ],
          "actions": [
            "*"
          ],
          "notActions": [
            "<string>"
          ],
          "role_name": "<string>"
        }
      }
    ],
    "allowed": [
      {
        "action": "<string>",
        "reason": {
          "effect": "allow",
          "resources": [
            "proj/*:env/*;qa_*:/flag/*"
          ],
          "notResources": [
            "<string>"
          ],
          "actions": [
            "*"
          ],
          "notActions": [
            "<string>"
          ],
          "role_name": "<string>"
        }
      }
    ]
  },
  "isProjectDefault": true,
  "_isLegacy": true
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

Body

application/json
key
string
required

The unique identifier of this release pipeline

Example:

"standard-pipeline"

name
string
required

The name of the release pipeline

Example:

"Standard Pipeline"

phases
object[]
required

A logical grouping of one or more environments that share attributes for rolling out changes

description
string

The release pipeline description

Example:

"Standard pipeline to roll out to production"

tags
string[]

A list of tags for this release pipeline

Example:
["example-tag"]
isProjectDefault
boolean

Whether or not the newly created pipeline should be set as the default pipeline for this project

isLegacy
boolean

Whether or not the pipeline is enabled for Release Automation.

Response

Release pipeline response

createdAt
string<date-time>
required

Timestamp of when the release pipeline was created

Example:

"1684262711507"

key
string
required

The release pipeline key

Example:

"standard-pipeline"

name
string
required

The release pipeline name

Example:

"Standard Pipeline"

phases
object[]
required

An ordered list of the release pipeline phases. Each phase is a logical grouping of one or more environments that share attributes for rolling out changes.

description
string

The release pipeline description

Example:

"Standard pipeline to roll out to production"

tags
string[]

A list of the release pipeline's tags

Example:
["example-tag"]
_version
integer

The release pipeline version

Example:

1

_access
object

Details on the allowed and denied actions for this release pipeline

isProjectDefault
boolean

Whether this release pipeline is the default pipeline for the project

_isLegacy
boolean

Whether this release pipeline is a legacy pipeline

Example:

true